LOGNAME(1)

NAME
logname - display current user's login name

SYNOPSIS
logname

DESCRIPTION
logname - print the current user's login name to stdout, while explicitly ignoring the LOGNAME and USER environment variables, in case the environment cannot be trusted.

AUTHOR
Written by the JeanG3nie for HitchHiker Linux.

EXIT STATUS

STANDARDS
The logname utility is compliant with the p1003.1-2008 specification.

HISTORY
The logname command appeared in 4.4BSD.

SEE ALSO
who(1), whoami(1), getlogin(2)